## cascading.tuple
Class TupleEntryCollector

    java.lang.Object
      cascading.tuple.TupleEntryCollector

Direct Known Subclasses:
  TapCollector

    public abstract class TupleEntryCollector

extends Object

Interface TupleEntryCollector is used to allow `BaseOperation` instances to emit result `Tuple` values.

Field Summary
`protected Fields` `declared` Field declared

Constructor Summary
`protected` `TupleEntryCollector()`
`` `TupleEntryCollector(Fields declared)` Constructor TupleCollector creates a new TupleCollector instance.

Method Summary
`void` `add(Tuple tuple)` Method add inserts the given `Tuple` into the outgoing stream.
`void` `add(TupleEntry entry)` Method add inserts the given `TupleEntry` into the outgoing stream.
`void` `close()` Method close closes the underlying resource being written to.
`protected abstract void` `collect(Tuple tuple)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### declared

    protected Fields declared

  Field declared

Constructor Detail

### TupleEntryCollector

    protected TupleEntryCollector()

### TupleEntryCollector

    public TupleEntryCollector(Fields declared)

  Constructor TupleCollector creates a new TupleCollector instance.

  Parameters:
    `declared` - of type Fields

Method Detail

### add

    public void add(TupleEntry entry)

  Method add inserts the given `TupleEntry` into the outgoing stream. Note the method `add(Tuple)` is more efficient as it simply calls `TupleEntry.getTuple()`;

  Parameters:
    `entry` - of type TupleEntry

### add

    public void add(Tuple tuple)

  Method add inserts the given `Tuple` into the outgoing stream.

  Parameters:
    `tuple` - of type Tuple

### collect

    protected abstract void collect(Tuple tuple)

### close

    public void close()

  Method close closes the underlying resource being written to. This method should be called when no more `Tuple` instances will be written out.

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.